Bug 469745 - Sugar wm gives no way to return to gdm
Sugar wm gives no way to return to gdm
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sugar (Show other bugs)
10
All Linux
high Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 15:31 EST by Pat Gunn
Modified: 2013-04-02 00:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-25 03:00:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add logout option to the menu (947 bytes, application/octet-stream)
2008-11-17 09:50 EST, Simon Schampijer
no flags Details

  None (edit)
Description Pat Gunn 2008-11-03 15:31:24 EST
Description of problem:
The sugar window manager needs to provide a way to let users return to gdm (apart from control-alt-backspace) cleanly when running on a standard Linux install. On the OLPC's Fedora-based installs, this is not necessary/useful, as X launches directly into the sugar environment, but on FC10 systems where people might test/develop with sugar, getting back cleanly would be useful.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Alexander Todorov 2008-11-04 08:55:50 EST
This is tracked upstream at:
http://dev.laptop.org/ticket/8141
Comment 2 Simon Schampijer 2008-11-17 09:50:38 EST
Created attachment 323766 [details]
add logout option to the menu
Comment 3 Simon Schampijer 2008-11-17 09:51:55 EST
In the future we want to make the logout option generic - see the discussion on http://dev.laptop.org/ticket/8141 - for the moment we do use Alexander's patch to provide a logout option in the F10 package.
Comment 4 Simon Schampijer 2008-11-17 12:50:50 EST
Build the patched rpm - please test. http://koji.fedoraproject.org/koji/buildinfo?buildID=70027
Comment 5 Bug Zapper 2008-11-25 23:42:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Simon Schampijer 2009-02-25 03:00:59 EST
This is working fine in F10.

Note You need to log in before you can comment on or make changes to this bug.